Private Endpoint Connections - Create Or Update
Update the state of specified private endpoint connection associated with the Cognitive Services account.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 2maxLength: 64 pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$ |
The name of Cognitive Services account. |
|
private
|
path | True |
string |
The name of the private endpoint connection associated with the Cognitive Services Account |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| location |
string |
The location of the private endpoint connection |
| properties |
Resource properties. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK -- Update the private endpoint connection properties successfully. |
|
| 202 Accepted |
HTTP 202 (Accepted) if the operation was successfully started and will complete asynchronously. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
PutPrivateEndpointConnection
Sample request
PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/res7687/providers/Microsoft.CognitiveServices/accounts/sto9699/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2024-10-01
{
"properties": {
"privateLinkServiceConnectionState": {
"status": "Approved",
"description": "Auto-Approved"
}
}
}
Sample response
{
"id": "/subscriptions/{subscription-id}/resourceGroups/res7231/providers/Microsoft.CognitiveServices/accounts/sto288/privateEndpointConnections/{privateEndpointConnectionName}",
"name": "{privateEndpointConnectionName}",
"type": "Microsoft.CognitiveServices/accounts/privateEndpointConnections",
"properties": {
"privateEndpoint": {
"id": "/subscriptions/{subscription-id}/resourceGroups/res7231/providers/Microsoft.Network/privateEndpoints/petest01"
},
"privateLinkServiceConnectionState": {
"status": "Approved",
"description": "Auto-Approved",
"actionsRequired": "None"
}
}
}
{
"id": "/subscriptions/{subscription-id}/resourceGroups/res7231/providers/Microsoft.CognitiveServices/accounts/sto288/privateEndpointConnections/{privateEndpointConnectionName}",
"name": "{privateEndpointConnectionName}",
"type": "Microsoft.CognitiveServices/accounts/privateEndpointConnections",
"properties": {
"privateEndpoint": {
"id": "/subscriptions/{subscription-id}/resourceGroups/res7231/providers/Microsoft.Network/privateEndpoints/petest01"
},
"privateLinkServiceConnectionState": {
"status": "Approved",
"description": "Auto-Approved",
"actionsRequired": "None"
}
}
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Private |
The Private Endpoint resource. |
|
Private |
The Private Endpoint Connection resource. |
|
Private |
Properties of the PrivateEndpointConnectProperties. |
|
Private |
The current provisioning state. |
|
Private |
The private endpoint connection status. |
|
Private |
A collection of information about the state of the connection between service consumer and provider. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
PrivateEndpoint
The Private Endpoint resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ARM identifier for Private Endpoint |
PrivateEndpointConnection
The Private Endpoint Connection resource.
| Name | Type | Description |
|---|---|---|
| etag |
string |
Resource Etag. |
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The location of the private endpoint connection |
| name |
string |
The name of the resource |
| properties |
Resource properties. |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PrivateEndpointConnectionProperties
Properties of the PrivateEndpointConnectProperties.
| Name | Type | Description |
|---|---|---|
| groupIds |
string[] |
The private link resource group ids. |
| privateEndpoint |
The resource of private end point. |
|
| privateLinkServiceConnectionState |
A collection of information about the state of the connection between service consumer and provider. |
|
| provisioningState |
The provisioning state of the private endpoint connection resource. |
PrivateEndpointConnectionProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Succeeded | |
| Creating | |
| Deleting | |
| Failed |
PrivateEndpointServiceConnectionStatus
The private endpoint connection status.
| Value | Description |
|---|---|
| Pending | |
| Approved | |
| Rejected |
PrivateLinkServiceConnectionState
A collection of information about the state of the connection between service consumer and provider.
| Name | Type | Description |
|---|---|---|
| actionsRequired |
string |
A message indicating if changes on the service provider require any updates on the consumer. |
| description |
string |
The reason for approval/rejection of the connection. |
| status |
Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |